Subject: bug#17544: 24.3; [PATCH] Improved diff-mode navigation/manipulation

From: [email-masked]
Date: Sat, 22 Oct 2016 11:47:29 -0400

Dima Kogan <[email-masked]> writes:

> Here's yet another revised patch. The (call-interactively) at the end of
> (diff-apply-hunk) was important, it turns out. This would force it to
> use the new logic to move to the next hunk, instead of the legacy logic.
> I purposely left the behavior of (diff-next-hunk) unchanged from before
> when running non-interactively, and here I explicitly want the new
> behavior.

If both behaviours are needed, it would be much better if lisp code
could choose between them without having to use call-interactively,
that's quite an awkward interface.